Debian Bug report logs - #604670
Please add armhf support

version graph

Package: src:libguytools1; Maintainer for src:libguytools1 is Debian Forensics <forensics-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 23 Nov 2010 12:51:02 UTC

Severity: important

Tags: patch

Fixed in version libguytools1/1.1.1-1.1

Done: Konstantinos Margaritis <markos@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Forensics <forensics-devel@lists.alioth.debian.org>:
Bug#604670; Package src:libguytools1. (Tue, 23 Nov 2010 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Forensics <forensics-devel@lists.alioth.debian.org>. (Tue, 23 Nov 2010 12:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please add armhf support
Date: Tue, 23 Nov 2010 15:16:28 +0000
[Message part 1 (text/plain, inline)]
Source: libguytools1
Severity: wishlist
Tags: patch

Hi,

The armhf port has reached a very good state (at 87%) at debian-ports.org,
and I'm now mass-filing bug reports to packages for armhf support.
Most packages just have to add armhf in the architecture field. The complete
list is in http://wiki.debian.org/ArmHardFloatTodo

The package builds fine using the attached patch.

Please consider adding armhf support. :)

Regards

Konstantinos


-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[libguytools1-armhf.diff (text/x-diff, attachment)]

Severity set to 'important' from 'wishlist' Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Mon, 14 Feb 2011 15:21:27 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Konstantinos Margaritis <markos@debian.org> to control@bugs.debian.org. (Wed, 11 Jan 2012 22:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Forensics <forensics-devel@lists.alioth.debian.org>:
Bug#604670; Package src:libguytools1. (Wed, 11 Jan 2012 23:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Forensics <forensics-devel@lists.alioth.debian.org>. (Wed, 11 Jan 2012 23:03:07 GMT) Full text and rfc822 format available.

Message #14 received at 604670@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 604670@bugs.debian.org
Subject: libguytools1: diff for NMU version 1.1.1-1.1
Date: Thu, 12 Jan 2012 02:17:41 +0000
[Message part 1 (text/plain, inline)]
tags 604670 + pending
thanks

Dear maintainer,

I've prepared an NMU for libguytools1 (versioned as 1.1.1-1.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer. The fix is trivial and has been in the BTS
for more than a year.

Regards.

Konstantinos
[libguytools1-1.1.1-1.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Konstantinos Margaritis <markos@debian.org>:
You have taken responsibility. (Mon, 16 Jan 2012 23:51:06 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Mon, 16 Jan 2012 23:51:06 GMT) Full text and rfc822 format available.

Message #19 received at 604670-close@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: 604670-close@bugs.debian.org
Subject: Bug#604670: fixed in libguytools1 1.1.1-1.1
Date: Mon, 16 Jan 2012 23:47:33 +0000
Source: libguytools1
Source-Version: 1.1.1-1.1

We believe that the bug you reported is fixed in the latest version of
libguytools1, which is due to be installed in the Debian FTP archive:

libguytools1-dev_1.1.1-1.1_armhf.deb
  to main/libg/libguytools1/libguytools1-dev_1.1.1-1.1_armhf.deb
libguytools1_1.1.1-1.1.diff.gz
  to main/libg/libguytools1/libguytools1_1.1.1-1.1.diff.gz
libguytools1_1.1.1-1.1.dsc
  to main/libg/libguytools1/libguytools1_1.1.1-1.1.dsc
libguytools1_1.1.1-1.1_armhf.deb
  to main/libg/libguytools1/libguytools1_1.1.1-1.1_armhf.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Konstantinos Margaritis <markos@debian.org> (supplier of updated libguytools1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 11 Jan 2012 21:49:16 +0000
Source: libguytools1
Binary: libguytools1-dev libguytools1
Architecture: source armhf
Version: 1.1.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Changed-By: Konstantinos Margaritis <markos@debian.org>
Description: 
 libguytools1 - libguytools is a small programming toolbox
 libguytools1-dev - development files for libguytools being a small programming toolb
Closes: 604670
Changes: 
 libguytools1 (1.1.1-1.1) unstable; urgency=low
 .
   * NMU, added armhf to the arch list. (Closes: #604670)
Checksums-Sha1: 
 df9c4c3309f3cfa762aab75b1320ea95baef9204 1989 libguytools1_1.1.1-1.1.dsc
 ece50c84b6b2f6cd96029a0c5590e7e0025cc71a 2474 libguytools1_1.1.1-1.1.diff.gz
 b25f53e529447875b8611dde9b27125496a5f903 8714 libguytools1-dev_1.1.1-1.1_armhf.deb
 0114af21e1f6cbe616db580f809056437d766152 35258 libguytools1_1.1.1-1.1_armhf.deb
Checksums-Sha256: 
 2a6cfcf217ad4c0056a13b59a1673c8a7fafd769a319fb5575e52641337b23f4 1989 libguytools1_1.1.1-1.1.dsc
 c6dea59b3d13bf04fd357ced75448dcaae19d5cf97d2d906ac353b464350583f 2474 libguytools1_1.1.1-1.1.diff.gz
 b855267581c46fc2c166ee23317a5d4a8b8bff7b8dcbb36c62edede6ec4ef352 8714 libguytools1-dev_1.1.1-1.1_armhf.deb
 3d4a1955531fd7d82173b8cff4189b392a1d7e8833e27854ea4e0b784bf6db23 35258 libguytools1_1.1.1-1.1_armhf.deb
Files: 
 730ae86cea253155d922411cffbb714a 1989 libs optional libguytools1_1.1.1-1.1.dsc
 5d5cc89b868d1b89f02f477b4e01fc9f 2474 libs optional libguytools1_1.1.1-1.1.diff.gz
 3dffa4c650f0bc421384f61610e4414a 8714 libdevel optional libguytools1-dev_1.1.1-1.1_armhf.deb
 95c96a7a09a6dcfae35a7661f5847835 35258 libs optional libguytools1_1.1.1-1.1_armhf.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPDkYMAAoJEGYGAn9kNxJMNd8QAJxghy4Q0U2qyJVgIQ1oxiut
PjK8whBqgMubD0XXf4z1XzEp5KqeoTvRHLYCzs9JdkHBsiGreetz4WWkb4F94iX0
sgFKTrEKnSoJRgdiOketBTBV/WK9vMvqvH2tr7tXh6Ai4v1UNBdpVM19PyPWkIKe
18Mz3Hk8TF5V2RGciuUk2bBkSAOK6V6p5oIlPYA+gr10dUIFIfyErouZ6n9UhZVN
ROy0bNzHBxhVaQcYivwpboDP/R3KYvBnjNIDZBYjwavYNWk1jxyyhvpZvhgl42gN
I0HJTBUle2oVYhN4da2LP51twGxL4G3S+E6UZ+NJ6LYeijnw0kgVPl2RjfEK8h+g
SZkqVwXLTsZioJtPk3RCiKW49W+6ODER+s/9y+v/b6TSAJJuBt9FCR7L26JO8rMQ
d4o5q8Yl3cvGop1BwzgjmWtWE8aeixs2mmngTFwELwKNeqTNhFFsubj2cBdv1YrD
HHDCZTV+lmVqUxJGqYiJEdbai+5CuNoZMEOWt7FtLctF2Tk0Adt4RdZdwHgqRrSi
MNCLeK5E68T8Oqg8T65AhfaNjXSo6VryVVqzFdRFzyMztXAFFOFNfetFxkpf37yp
ylYr0VNnMhWCAnKGB6Zj9HgYUOt0SxwP9YIr1by2/DB4ty9Hv8VjXw0yvVJC9Gyc
muJJ80YcXND4i9FuJLYo
=GxJf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Feb 2012 07:38:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:11:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.